import { h } from './h';
import { mount } from './mount';
export function CSSRender(config = {
    preserveEmptyBlock: false
}) {
    const cssr = {
        h: ((...args) => h(cssr, ...args)),
        mount: (nodes, id) => mount(nodes, id, cssr),
        use: (plugin, ...args) => plugin.install(cssr, ...args),
        id: Math.random().toString(36).slice(2, 10),
        context: {},
        config
    };
    return cssr;
}
