"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const render_1 = require("./render");
function _r() {
    return render_1.render(this, this.instance);
}
function _t(children, flattenedNodes) {
    children.forEach(child => {
        if (Array.isArray(child)) {
            _t(child, flattenedNodes);
        }
        else {
            flattenedNodes.push(child);
        }
    });
}
/** flatten */
function _f(children) {
    const flattenedNodes = [];
    _t(children, flattenedNodes);
    return flattenedNodes;
}
exports.h = function (instance, $, props, children) {
    if (Array.isArray(props)) {
        return {
            $,
            props: null,
            children: _f(props),
            instance,
            render: _r
        };
    }
    else if (Array.isArray(children)) {
        return {
            $,
            props,
            children: _f(children),
            instance,
            render: _r
        };
    }
    else {
        return {
            $,
            props,
            children: null,
            instance,
            render: _r
        };
    }
};
